Topics

Windows 10 App Essentials: frequently asked questions


 

Hi NVDA community,

This is Joseph Lee, the creator and maintainer of Windows 10 App Essentials add-on.

As some of you may have noticed, Windows 10 App Essentials 21.02 is no longer compatible with Windows 10 feature updates earlier than Version 2004 (May 2020 Update). Coupled with some development questions I have received, I would like to take this time to answer some frequently asked questions in hopes that it can serve as a handy reference for people still wondering about what the add-on is, support duration, and other things.

 

Q. What exactly is Windows 10 App Essentials add-on?

Windows 10 App Essentials add-on (sometimes abbreviated as WinTenApps) is a collection of modules to make Windows 10 apps more accessible and usable for NVDA users. It includes improved support for controls found throughout Windows 10 and apps such as search fields, support for built-in apps such as Mail and Calendar, and debug utilities to help NVDA developers better understand how Windows 10 apps use accessibility API’s such as UI Automation.

 

Q. Which versions of Windows 10 does the add-on support?

Any Windows 10 release under mainstream support by Microsoft are supported. In this context, mainstream support refers to updates for consumers i.e. updates for Home, Pro, Pro Education, and Pro for Workstations.

 

Q. How long does the add-on support a Windows 10 release?

Between twelve to eighteen months.

 

Q. Can’t you support all Windows 10 releases?

No. Windows 10 follows Windows as a Service (WaaS) model where new releases are frequent – typically, two feature updates (releases) a year. The add-on does not support all releases due to complexity of supporting all released versions.

 

Q. Does Windows 10 App Essentials support Windows Insider Preview (WIP) builds?

Yes, as features under development and tested by Insiders may end up in feature updates released to everyone.

 

Q. Which versions of NVDA does the add-on support?

The add-on supports current, immediate past, and development versions of NVDA. As of time of this writing, Windows 10 App Essentials supports 2020.3 (soon to be immediate past), 2020.4 (release candidate/about to become current release), and alpha snapshots.

 

Q. Why do you limit NVDA support to immediate past release?

Parts of Windows 10 App Essentials are being integrated into NVDA, and it requires complex workarounds to support older NVDA releases.

 

Q. When I try to install the add-on, NVDA says it isn’t compatible with this version of Windows.

Because the add-on only supports recent Windows 10 releases (ones with mainstream support), the add-on will present an error message if you attempt to install it on unsupported (soon to be or already unsupported) Windows 10 release. As of time of this post, Windows 10 App Essentials require Version 2004 (May 2020 Update) or later.

 

Q. You said parts of the add-on are being integrated into NVDA. How can I find out what’s being integrated?

Some NVDA pull requests (especially those submitted by yours truly) will specify that code changes described originates from the add-on. As part of release notes for add-on releases, I will point out which parts of the add-on are part of NVDA.

 

Q. Why don’t you submit everything from the add-on to NVDA at once?

Some parts of the add-on deal with Windows Insider Preview builds. Because these builds can change without notice (including feature removal), it will create a situation where NVDA itself will ship with outdated components or code that doesn’t work at all. Therefore I wait for something to go public (typically the next feature update shows up to beta Insiders) before I submit necessary changes to NVDA.

 

Q. Do you accept code changes from other people?

Yes, but please limit changes to built-in Windows 10 apps or specific Windows 10 features. In addition to support for apps that come with Windows 10 App Essentials add-on, other built-in apps include Groove Music, Movies and TV, Alarms and Clock, and others. Due to Python module naming conflicts, I do not accept pull requests for Alarms and Clock app module (if you do have pull request suggestions for Alarms and Clock, please do so via global plugin portion). Windows 10 App Essentials does not plan to ship with app modules for third-party apps such as those found in Microsoft Store as people should contact app vendors (including Microsoft) should they have screen reader compatibility concerns for these apps.

 

Any other questions, comments, or concerns?

Cheers,

Joseph


 

On Tue, Feb 9, 2021 at 12:40 PM, Joseph Lee wrote:
As some of you may have noticed, Windows 10 App Essentials 21.02 is no longer compatible with Windows 10 feature updates earlier than Version 2004 (May 2020 Update).
-
And since Version 2004 has been officially declared "ready for broad deployment," anyone who's not already on it should update to it, or better yet, 20H2, since it's really just 2004 with a few minor additions/tweaks to it.

This can be done by:

1. Checking whether the Download and install link is being presented to you for the Feature Update in your Windows Update Pane under Settings, Update & Security.  If it is, activate the link.

2. Going to the Microsoft Windows 10 Download Page and using the Update Assistant, which means simply activating the Update Now button.

3. Following these instructions:  Doing a Windows 10 Repair Install or Feature Update Using the Windows 10 ISO file


If your system is on 1909 or earlier, a declaration from Microsoft that a more recent Windows 10 Version is "ready for broad deployment" means that it's likely that your Windows Update is malfunctioning if you've not already got the Download and Install link and that you should manually update as a result.
 
--

Brian - Windows 10 Pro, 64-Bit, Version 20H2, Build 19042  

The depths of denial one can be pushed to by outside forces of disapproval can make you not even recognize yourself to yourself.

       ~ Brian Vogel